How to install Jetpack-3.1 including e-CAM130_CUTX1 Camera instead onboard camera?
Hi everybody, I bought an e-con Camera to use it on my Jetson TX2. I replaced the onboard camera with new camera and I followed the instructions to install and use that camera. To do it,I had to flash the TX2 losing the Jetpack I had previously installed. How can I use them simultaneously?
Hi everybody,
I bought an e-con Camera to use it on my Jetson TX2. I replaced the onboard camera with new camera and I followed the instructions to install and use that camera.
To do it,I had to flash the TX2 losing the Jetpack I had previously installed.
How can I use them simultaneously?

#1
Posted 11/07/2017 01:07 PM   
Are you asking how to have two JetPacks installed at once on the host in order to work with multiple Jetsons under different JetPacks? If so, I don't think it is supported to install more than one JetPack on a host. You can flash different L4T versions on a Jetson via command line (driver package plus sample rootfs instead of JetPack), and there is no limit to how many command line flash setups you can have (other than perhaps running out of disk space...it takes a lot...I have driver packages and sample rootfs setups for every single L4T from R19.2 through R28.1...R19.2 is via clone...I can't use JetPack because my host is Fedora).
Are you asking how to have two JetPacks installed at once on the host in order to work with multiple Jetsons under different JetPacks? If so, I don't think it is supported to install more than one JetPack on a host.

You can flash different L4T versions on a Jetson via command line (driver package plus sample rootfs instead of JetPack), and there is no limit to how many command line flash setups you can have (other than perhaps running out of disk space...it takes a lot...I have driver packages and sample rootfs setups for every single L4T from R19.2 through R28.1...R19.2 is via clone...I can't use JetPack because my host is Fedora).

#2
Posted 11/07/2017 08:39 PM   
hello ADan01, i think your question is bringup e-con's camera based on JetPack 3.1. ideally, you can based on JetPack-3.1 rootfs, and replacing the kernel and device tree with e-con's to make the camera sensor take effect. thanks
hello ADan01,

i think your question is bringup e-con's camera based on JetPack 3.1.
ideally, you can based on JetPack-3.1 rootfs, and replacing the kernel and device tree with e-con's to make the camera sensor take effect.
thanks

#3
Posted 11/08/2017 02:20 AM   
Hi ADan01, Did the response JerryChang provided above help? BTW, which of e-con's camera product have you bought? Knowing this will help us provide customized support.
Hi ADan01,

Did the response JerryChang provided above help? BTW, which of e-con's camera product have you bought? Knowing this will help us provide customized support.
#4
Posted 11/08/2017 07:06 AM   
Hi linuxdev, JerryChang, SubramanianMK. Thanks for responses. Yes, I would to bringup e-con's camera based on JetPack 3.1 and now I will try to follow JerryChang's suggestion. About SubramanianMK's request, I bought an e-CAM130_CUTX1. Thank you all for the support ADan01
Hi linuxdev, JerryChang, SubramanianMK.
Thanks for responses.
Yes, I would to bringup e-con's camera based on JetPack 3.1 and now I will try to follow JerryChang's suggestion.
About SubramanianMK's request, I bought an e-CAM130_CUTX1.

Thank you all for the support
ADan01

#5
Posted 11/08/2017 09:58 AM   
Hi ADan01, Thanks for letting us know that you have bought e-CAM130_CUTX1. I presume you will be trying this bring up of e-CAM130_CUTX1 camera with TX2 running NVIDIA's latest L4T r28.1 release (corresponding to Jetson 3.1), correct? Recollect that in r28.1, just replacing rootfs, kernel and device tree that came with the release, with e-con's version, failed and we had to do a full flash using the command : sudo ./flash.sh -r -kernel-dtb jetson-tx2 mmcblk0p1 Anyway, first try just simple copying and check whether it suffices.
Hi ADan01,

Thanks for letting us know that you have bought e-CAM130_CUTX1.

I presume you will be trying this bring up of e-CAM130_CUTX1 camera with TX2 running NVIDIA's latest L4T r28.1 release (corresponding to Jetson 3.1), correct? Recollect that in r28.1, just replacing rootfs, kernel and device tree that came with the release, with e-con's version, failed and we had to do a full flash using the command : sudo ./flash.sh -r -kernel-dtb jetson-tx2 mmcblk0p1

Anyway, first try just simple copying and check whether it suffices.
#6
Posted 11/08/2017 10:56 AM   
Hi thanks for the quick response. replacing the rootfs and kernel seems to be straightforward enough but can you be more specific regarding the device tree, is this one file or several files and where are they, where should they be located. Why do we need to change out the kernel with the one supplied by ECON as I expected the only changes to be covered by the device tree i.e. hardware change of the camera model only. Also which flash.sh file should I use, the one that comes with R28.1 or the one from ECON, there are differences. thx
Hi thanks for the quick response.

replacing the rootfs and kernel seems to be straightforward enough but can you be more specific regarding the device tree, is this one file or several files and where are they, where should they be located.

Why do we need to change out the kernel with the one supplied by ECON as I expected the only changes to be covered by the device tree i.e. hardware change of the camera model only.

Also which flash.sh file should I use, the one that comes with R28.1 or the one from ECON, there are differences.


thx

#7
Posted 11/08/2017 12:11 PM   
Hi ADan01, Checked internally within e-con and realized that, for e-CAM130_CUTX1, the latest released drivers for TX2, is for older Jetpack 3.0 (L4T r27.1). For latest Jetpack 3.1 (L4T r28.1), we have run into issues and we are working with NVIDIA to get them resolved. So, if you want to evaluate your new buy e-CAM130_CUTX1 with TX2, please use older Jetpack 3.0 (L4T r27.1).
Answer Accepted by Original Poster
Hi ADan01,

Checked internally within e-con and realized that, for e-CAM130_CUTX1, the latest released drivers for TX2, is for older Jetpack 3.0 (L4T r27.1). For latest Jetpack 3.1 (L4T r28.1), we have run into issues and we are working with NVIDIA to get them resolved.

So, if you want to evaluate your new buy e-CAM130_CUTX1 with TX2, please use older Jetpack 3.0 (L4T r27.1).
#8
Posted 11/09/2017 01:13 PM   
[quote=""]Hi ADan01, Checked internally within e-con and realized that, for e-CAM130_CUTX1, the latest released drivers for TX2, is for older Jetpack 3.0 (L4T r27.1). For latest Jetpack 3.1 (L4T r28.1), we have run into issues and we are working with NVIDIA to get them resolved. So, if you want to evaluate your new buy e-CAM130_CUTX1 with TX2, please use older Jetpack 3.0 (L4T r27.1).[/quote] Hi SubramanianMK, Thanks a lot for the support. Regards, ADan01
said:Hi ADan01,

Checked internally within e-con and realized that, for e-CAM130_CUTX1, the latest released drivers for TX2, is for older Jetpack 3.0 (L4T r27.1). For latest Jetpack 3.1 (L4T r28.1), we have run into issues and we are working with NVIDIA to get them resolved.

So, if you want to evaluate your new buy e-CAM130_CUTX1 with TX2, please use older Jetpack 3.0 (L4T r27.1).


Hi SubramanianMK,

Thanks a lot for the support.
Regards,
ADan01

#9
Posted 11/09/2017 02:00 PM   
sorry to disturb. but where could i download jetpack now? when i visit https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1 it says that NVIDIA Developer Site is under going maintenance. i just bought a jetson tx2 and am eager to develop on it. but seems that NVIDIA Developer Site is under going maintenance for quite long time
sorry to disturb. but where could i download jetpack now? when i visit https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1 it says that NVIDIA Developer Site is under going maintenance.
i just bought a jetson tx2 and am eager to develop on it. but seems that NVIDIA Developer Site is under going maintenance for quite long time

#10
Posted 11/16/2017 09:49 AM   
Hi yangyangcv, I tried the same link you have mentioned, i.e. https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1 and I get a pop-up window with the following message : What do you want to do with JetPack-L4T-3.1-linux-x64.run (33.8 MB)? From : developer2.download.nvidia.com Open Save ^ Cancel which appears to me that this link is working. Of course, I had earlier logged in, when prompted, providing my credentials. Am I missing something? BTW, one can initiate this download from another page : https://developer.nvidia.com/embedded/downloads. Notice that from whichever point one initiates the download, all point to the same above link https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1. Does the above useful? Regards, MKS
Hi yangyangcv,

I tried the same link you have mentioned, i.e. https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1 and I get a pop-up window with the following message :

What do you want to do with JetPack-L4T-3.1-linux-x64.run (33.8 MB)?
From : developer2.download.nvidia.com

Open Save ^ Cancel

which appears to me that this link is working. Of course, I had earlier logged in, when prompted, providing my credentials. Am I missing something?

BTW, one can initiate this download from another page : https://developer.nvidia.com/embedded/downloads. Notice that from whichever point one initiates the download, all point to the same above link https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1.


Does the above useful?

Regards,
MKS
#11
Posted 11/16/2017 02:08 PM   
thanks man. problem solved. it's because i am in China mainland so i need to use VPN to visit that link. [quote=""]Hi yangyangcv, I tried the same link you have mentioned, i.e. https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1 and I get a pop-up window with the following message : What do you want to do with JetPack-L4T-3.1-linux-x64.run (33.8 MB)? From : developer2.download.nvidia.com Open Save ^ Cancel which appears to me that this link is working. Of course, I had earlier logged in, when prompted, providing my credentials. Am I missing something? BTW, one can initiate this download from another page : https://developer.nvidia.com/embedded/downloads. Notice that from whichever point one initiates the download, all point to the same above link https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1. Does the above useful? Regards, MKS[/quote]
thanks man. problem solved. it's because i am in China mainland so i need to use VPN to visit that link.


said:Hi yangyangcv,

I tried the same link you have mentioned, i.e. https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1 and I get a pop-up window with the following message :

What do you want to do with JetPack-L4T-3.1-linux-x64.run (33.8 MB)?
From : developer2.download.nvidia.com

Open Save ^ Cancel

which appears to me that this link is working. Of course, I had earlier logged in, when prompted, providing my credentials. Am I missing something?

BTW, one can initiate this download from another page : https://developer.nvidia.com/embedded/downloads. Notice that from whichever point one initiates the download, all point to the same above link https://developer.nvidia.com/embedded/dlc/jetpack-l4t-3_1.


Does the above useful?

Regards,
MKS

#12
Posted 11/17/2017 04:10 AM   
Scroll To Top

Add Reply